public interface InspectableTree extends InspectablePositionalContainer { 
    // mtodos accesores 
    /** regresar la raz del rbol */ 
    public Position root();

    /** regresar el padre de un nodo */ 
    public Position parent(Position v); 

    /** regresar los hijos de un nodo */ 
    // public PositionIterator children(Position v);

    // mtodos de consulta 
    /** probar si un nodo es interno */ 
    public boolean isInternal(Position v);

    /** probar si un nodo es externo */ 
    public boolean isExternal(Position v);
    /** probar si un nodo es la raz del rbol */ 
    public boolean isRoot(Position v);
}

