// Author: Tymoschuk, Jorge
// Un comparador para comparar objetos clave de objetos ItemPPR 
/* Entrada: dos objetos Key del Objeto ItemPPR
 * La primera es la clave del nodo corriente
 * La segunda es la clave parametro
 * Retorno:
 * Clave nodo < clave parametro: -1
 * Clave nodo = clave parametro:  0
 * Cualquier otro caso            1 */
 
import java.io.*;
import java.util.Comparator;
public class Comparador implements Comparator{
    
    public int compare(Object k, Object curK){
        Codigo key    = (Codigo)k;      // Moldeado a Codigo
        Codigo curKey = (Codigo)curK;
        int keyA    =   key.getCodigo(); //  Extraemos el dato int  
        int keyB    =   curKey.getCodigo(); 
        if(keyA <  keyB) return -1;         //  Finalmente, comparando
        if(keyA == keyB) return  0;
        return 1;
    }
    
    public static void main(String args[]){
        int como;
        Comparador comp = new Comparador();
        //  Necesitamos probar el comparador con dos objetos key del objeto ItemsPPR;
        Codigo cod01 = new Codigo(10); 
        Codigo cod02 = new Codigo(20); 
        //  Invocamos a compare
        como = comp.compare(cod01, cod02);
        System.out.println("El resultado del metodo compare es "+como);
    }
}    