import java.security.InvalidKeyException;
public interface Dictionary{
    public Object NO_SUCH_KEY = null;  // Centinela
    public int size();  // Regresa la cantidad de artculos en D.
                        //  Entrada: ninguna; Salida: entero.
    public boolean isEmpty();   // Prueba si D est vaco.
                        //  Entrada: ninguna; Salida: booleana.
    public ObjectIterator elements() throws InvalidKeyException;    // Regresa los elementos guardados en D.
                        //  Entrada: ninguna; Salida: iterador de objetos (elementos).
    public ObjectIterator keys();   //  Regresa las claves guardadas en D.
                        //  Entrada: ninguna; Salida: iterador de objetos (claves).
    public Object findElement(Object k) throws InvalidKeyException;   // Si encuentra igual, regresa el elemento de ese artculo; 
                        //  si no, regresa el elemento especial NO _HAY _ESA_ CLAVE.
                        //  Entrada: objeto (clave); Salida: objeto (elemento).
    public ObjectIterator findAllElements(Object k) throws InvalidKeyException; //Regresa un iterador de todos 
                        //  los elementos cuyas claves sean igual a k.
                        //  Entrada: objeto (clave); Salida: iterador (de elementos).
    public void insertItem(Object k, Object e) throws InvalidKeyException;    //  Inserta un artculo con elemento e y clave k en D.
                        //  Entrada: objetos k (clave) y e (elemento); Salida: ninguna.
    public Object removeElement(Object k) throws InvalidKeyException; //  Quita de D un artculo con clave igual a k y 
                        //  regresa su elemento. Si D no contiene ese artculo, regresa el elemento especial NO _HAY _ESA_ CLAVE.
                        //  Entrada: objeto (clave); Salida: objeto (elemento).
    public ObjectIterator removeAllElements(Object k); //  Quita de D a los artculos cuya clave sea igual a k, 
                        //  y regresa un iterador de sus elementos.
                        //  Entrada: objeto (clave); Salida: iterador (de elementos). 
}
