import java.io.*;
import java.security.InvalidKeyException;
public class MyBinarySearchTree extends BinarySearchTree implements Dictionary{
    public MyBinarySearchTree(){
        super();
        System.out.println("(Nodo anterior es raiz es externo, sera recubierto)");
        C = new Comparador();
    }
     public void demo01(int ctos){ 
        int ind; trace = true;
        try{
            for(ind = 1; ind <= ctos; ind++)
                insertItem(nuevaKey(), nuevoTexto());
        }catch(InvalidKeyException e){System.out.println("InvalidKeyException en demo01");}
        System.out.println("\nGenerado MyBinarySearchTree con "+size()+" nodos");   
        System.out.println("\nRecorriendo inOrder()");
        inOrder(root);
        System.out.println("\nDemo terminado !!!");
    }
    
    public Object nuevaKey() throws InvalidKeyException{
        Codigo cod; 
        cod = new Codigo((int)(10*Math.random()));
        return cod;
    }

    public Object nuevoTexto() throws InvalidKeyException{
        Texto tex; 
        tex = new Texto("Text"+(int)(100*Math.random()));
        return tex;
    }
    
    public void inOrder(Position v){
        if(isInternal(v)) inOrder(leftChild(v)); // recorriendo izquierdo
        if(isInternal(v))   //  si estamos posicionados en un nodo interno
            if(trace)System.out.println("Visitando..."+v);
        // Visitando el nodo;
        if(isInternal(v)) inOrder(rightChild(v));// Recorriendo derecho
    } 
    
    public static void main(String argsd[]){
        int ctos;      //  Cuantos nodos
        System.out.println("Demo de generacion y recorrido de un Arbol de Busqueda Binario");
        System.out.println("Se admiten claves duplicadas y se generan nodos externos      ");
        System.out.println("De que cuantos nodos desea el Arbol? ");
        ctos = In.readInt();
        System.out.println("Solicito "+ctos+" nodos, por favor");
        MyBinarySearchTree mSearch = new MyBinarySearchTree(); 
        mSearch.demo01(ctos);
        // arBin.demo(h);
    }
}